FREEFOAM-WRITEMESHOBJ(1)

NAME
freefoam-writeMeshObj - For mesh debugging: writes mesh as three separate OBJ files which can be viewed with e.g. javaview.

SYNOPSIS

freefoam writeMeshObj [-latestTime] [-patchFaces] [-cellSet <cellSet name>] [-cell <cell label>] [-noZero] [-face <face label>] [-srcDoc] [-point <point label>] [-doc] [-time <time>] [-constant] [-parallel] [-faceSet <faceSet name>] [-case <dir>] [-help]

DESCRIPTION

meshPoints_XXX.obj : all points and edges as lines. meshFaceCentres_XXX.obj : all face centres. meshCellCentres_XXX.obj : all cell centres.

patch_YYY_XXX.obj : all face centres of patch YYY

Optional: - patch faces (as polygons) : patchFaces_YYY_XXX.obj - non-manifold edges : patchEdges_YYY_XXX.obj

OPTIONS

-face <face label>
    Export face with specified label.

-patchFaces
    Also export patch faces.

-cell <cell label>
    Export cell with specified label.

-point <point label>
    Export point with specified label.

-cellSet <cellSet name>
    Only apply to named cell set.

-faceSet <faceSet name>
    Only apply to named face set.

-noZero
    Ignore timestep 0.

-constant
    Include the constant directory.

-time <time>
    Apply only to specific time.

-latestTime
    Only apply to latest time step.

-case <dir>
    Case directory.

-parallel
    Run in parallel.

-help
    Display help message.

-doc
    Display Doxygen API documentation page for this application.

-srcDoc
    Display Doxygen source documentation page for this application.

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.